/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { DeleteAliasInput } from '../types/DeleteAliasInput';
import { DeleteAliasOutput } from '../types/DeleteAliasOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class DeleteAliasCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteAliasInput, OutputTypesUnion, DeleteAliasOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteAliasInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteAliasInput, DeleteAliasOutput, _stream.Readable>;
    constructor(input: DeleteAliasInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<DeleteAliasInput, DeleteAliasOutput>;
}
