/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { GetAliasInput } from '../types/GetAliasInput';
import { GetAliasOutput } from '../types/GetAliasOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class GetAliasCommand implements __aws_sdk_types.Command<InputTypesUnion, GetAliasInput, OutputTypesUnion, GetAliasOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: GetAliasInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetAliasInput, GetAliasOutput, _stream.Readable>;
    constructor(input: GetAliasInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<GetAliasInput, GetAliasOutput>;
}
