/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { GetPolicyInput } from '../types/GetPolicyInput';
import { GetPolicyOutput } from '../types/GetPolicyOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class GetPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, GetPolicyInput, OutputTypesUnion, GetPolicyOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: GetPolicyInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetPolicyInput, GetPolicyOutput, _stream.Readable>;
    constructor(input: GetPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<GetPolicyInput, GetPolicyOutput>;
}
