/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { ListFunctionsInput } from '../types/ListFunctionsInput';
import { ListFunctionsOutput } from '../types/ListFunctionsOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class ListFunctionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListFunctionsInput, OutputTypesUnion, ListFunctionsOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: ListFunctionsInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListFunctionsInput, ListFunctionsOutput, _stream.Readable>;
    constructor(input: ListFunctionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<ListFunctionsInput, ListFunctionsOutput>;
}
