/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { UpdateFunctionConfigurationInput } from '../types/UpdateFunctionConfigurationInput';
import { UpdateFunctionConfigurationOutput } from '../types/UpdateFunctionConfigurationOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class UpdateFunctionConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateFunctionConfigurationInput, OutputTypesUnion, UpdateFunctionConfigurationOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateFunctionConfigurationInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateFunctionConfigurationInput, UpdateFunctionConfigurationOutput, _stream.Readable>;
    constructor(input: UpdateFunctionConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<UpdateFunctionConfigurationInput, UpdateFunctionConfigurationOutput>;
}
