/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { ListVersionsByFunctionInput } from '../types/ListVersionsByFunctionInput';
import { ListVersionsByFunctionOutput } from '../types/ListVersionsByFunctionOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class ListVersionsByFunctionCommand implements __aws_sdk_types.Command<InputTypesUnion, ListVersionsByFunctionInput, OutputTypesUnion, ListVersionsByFunctionOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: ListVersionsByFunctionInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListVersionsByFunctionInput, ListVersionsByFunctionOutput, _stream.Readable>;
    constructor(input: ListVersionsByFunctionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<ListVersionsByFunctionInput, ListVersionsByFunctionOutput>;
}
