/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { PublishVersionInput } from '../types/PublishVersionInput';
import { PublishVersionOutput } from '../types/PublishVersionOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class PublishVersionCommand implements __aws_sdk_types.Command<InputTypesUnion, PublishVersionInput, OutputTypesUnion, PublishVersionOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: PublishVersionInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PublishVersionInput, PublishVersionOutput, _stream.Readable>;
    constructor(input: PublishVersionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<PublishVersionInput, PublishVersionOutput>;
}
