/// <reference types="node" />
import * as __aws_sdk_middleware_stack from '@aws-sdk/middleware-stack';
import * as __aws_sdk_types from '@aws-sdk/types';
import * as _stream from 'stream';
import { InputTypesUnion } from '../types/InputTypesUnion';
import { OutputTypesUnion } from '../types/OutputTypesUnion';
import { UpdateAliasInput } from '../types/UpdateAliasInput';
import { UpdateAliasOutput } from '../types/UpdateAliasOutput';
import { LambdaResolvedConfiguration } from '../LambdaConfiguration';
export declare class UpdateAliasCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateAliasInput, OutputTypesUnion, UpdateAliasOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateAliasInput;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateAliasInput, UpdateAliasOutput, _stream.Readable>;
    constructor(input: UpdateAliasInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<UpdateAliasInput, UpdateAliasOutput>;
}
